Subject: Re: bug#9480: 24.0.50; (vc-git) stash@{n} - requires shell quoting?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Sep 2011 06:51:30 -0400

> From: Jambunathan K <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 12 Sep 2011 14:35:48 +0530
> 
> | Running git stash show -p stash@{0} . in background... done
> `----
> 
> But in the *vc-git-stash* buffer I see the following message
> 
> ,----  *vc-git-stash* 
> | '-p stash@0' is not a stash
> `----
> 
> Not the absence of `{' `}' in the error report. I hope that provides
> some clue on what the underlying git sees.

Yes, I see the problem, but now I wonder how come users of Posix
platforms didn't see it.  Does it happen if your shell-file-name is
set to "sh", not "bash" (assuming the Cygwin Bash comes with such an
executable or a link)?

Perhaps someone who uses this on Unix or GNU system could try this
command and see if it needs quoting in general, not just on Windows
with Cygwin Bash.